## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysListener Struct Reference
[Sound system, Sound system]

The sound listener is a unique object created by the sound renderer. More...

`#include <isndsys/ss_listener.h>`

Inheritance diagram for iSndSysListener:

[legend]
List of all members.

## Public Member Functions

virtual void | GetDirection (csVector3 &Front, csVector3 &Top)=0
| Get direction of listener (front and top 3d vectors).
virtual float | GetDistanceFactor ()=0
| Get a distance attenuator.
virtual const csVector3 & | GetPosition ()=0
| Get position of listener.
virtual float | GetRollOffFactor ()=0
| Get a RollOff factor.
virtual void | SetDirection (const csVector3 &Front, const csVector3 &Top)=0
| Set direction of listener (front and top 3d vectors).
virtual void | SetDistanceFactor (float factor)=0
| Set a distance attenuator.
virtual void | SetPosition (const csVector3 &pos)=0
| Set position of listener.
virtual void | SetRollOffFactor (float factor)=0
| Set a RollOff factor.

## Detailed Description

The sound listener is a unique object created by the sound renderer.

It can be used to setup 'yourself' (the player) for 3d sound: position, orientation, speed and environment effects.

Definition at line 39 of file ss_listener.h.

## Member Function Documentation

virtual void iSndSysListener::GetDirection | ( | csVector3 & | Front,
|  | csVector3 & | Top
| ) | `[pure virtual]`

| Get direction of listener (front and top 3d vectors).

virtual float iSndSysListener::GetDistanceFactor | ( |  | ) | `[pure virtual]`

| Get a distance attenuator.

virtual const csVector3& iSndSysListener::GetPosition | ( |  | ) | `[pure virtual]`

| Get position of listener.

virtual float iSndSysListener::GetRollOffFactor | ( |  | ) | `[pure virtual]`

| Get a RollOff factor.

virtual void iSndSysListener::SetDirection | ( | const csVector3 & | Front,
|  | const csVector3 & | Top
| ) | `[pure virtual]`

| Set direction of listener (front and top 3d vectors).

virtual void iSndSysListener::SetDistanceFactor | ( | float | factor | ) | `[pure virtual]`

| Set a distance attenuator.

virtual void iSndSysListener::SetPosition | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set position of listener.

virtual void iSndSysListener::SetRollOffFactor | ( | float | factor | ) | `[pure virtual]`

| Set a RollOff factor.

The documentation for this struct was generated from the following file:

- isndsys/ss_listener.h